Page MenuHomePhabricator

Create team #Hackathon
Closed, DeclinedPublic

Description

Project type: Team
Name: Hackathon
Optional hashtatgs: #hackathon
Project description: Hackathon organization team
Visible To: Public (no login required)
Editable By: All Users
Joinable By: All Users

Event Timeline

Danny_B created this task.Feb 15 2016, 8:38 AM
Danny_B raised the priority of this task from to Normal.
Danny_B updated the task description. (Show Details)
Danny_B added a project: Project-Admins.
Danny_B added a subscriber: Danny_B.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2016, 8:38 AM
Aklapper raised the priority of this task from Normal to Needs Triage.Feb 15 2016, 9:08 AM

The project Wikimedia-Hackathon-2016-Organization exists to organize the work behind.
This task does not explain which problem would be solved by also creating a team project - could you clarify?

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 15 2016, 9:08 AM
Luke081515 updated the task description. (Show Details)Feb 15 2016, 10:26 AM
Luke081515 set Security to None.
Luke081515 added a subscriber: Luke081515.

Projects don't have spaces...

I don't think this is a single team - not all hackathons are organised by the same group of people.

As a person who helped with perhaps all Hackathons, I can clearly state, that there is a recurring set of core people participating on the organization.

Discussing generic Hackathon tasks is another relevant thing.

Besides - like any other projects - it's joinable and leavable.

Also, if the "administration" was left out, it can actually be for all Hackathon participants (and that would involve all reasons above too).

Which existing problem would be solved by creating such a team project in parallel to Wikimedia-Hackathon-2016-Organization ?

Aklapper changed the task status from Open to Stalled.Mar 9 2016, 12:41 PM
Aklapper triaged this task as Lowest priority.

Which existing problem would be solved by creating such a team project in parallel to Wikimedia-Hackathon-2016-Organization ?

There is not the only hackathon throughout the year. For instance The current one in Jerusalem will have "sister-hackathons" in Amman and Rammalah. Tasks about those were not marked with Wikimedia-Hackathon-2016-Organization.

Danny_B changed the task status from Stalled to Open.Mar 10 2016, 9:07 AM

Which existing problem would be solved by creating such a team project in parallel to Wikimedia-Hackathon-2016-Organization ?

There is not the only hackathon throughout the year.

As far as I know there will be a Wikimania-Hackathon and a (European) Wikimedia-Hackathon, like last years.

For instance The current one in Jerusalem will have "sister-hackathons" in Amman and Rammalah.

I'm not aware of a Hackathon in Ramallah (there will be a technical workshop though) and I don't see hacking activities listed for WikiArabia. If you have more information / links, please share.

Tasks about those were not marked with Wikimedia-Hackathon-2016-Organization.

That's because they have nothing to do with Wikimedia-Hackathon-2016-Organization, as Ramallah and Amman are different people organizing different things.

I don't see a reason for creating a #Hackathon project as each Hackathon org team is mostly local and not involved in organizing next year's Hackathon in a different place. Currently, people organizing a specific Hackathon or interested in following the tasks for a specific Hackathon can become member / subscribe to the dedicated Phabricator project for that specific Hackathon, and that seems to be sufficient. If it is not, please explain which actual problem and existing use case you would like to solve by creating a generic #Hackathon project.

Aklapper changed the task status from Open to Stalled.Mar 19 2016, 6:10 PM

I don't see a need for a #hackathon project either, at least as we are working today. If one day there is a formal group working on hackathons, then sure. But first the group, then the tag. Tasks that go across hackathons usually end up in Developer-Advocacy and the next hackathon(s) in the calendar.

Same arguments as in T126954 apply

Qgil added a comment.EditedMay 2 2016, 8:16 AM

In fact, these tasks try to address problems for the next hackathon, that hopefully will be integrated in future events. I keep not seeing the usefulness of this tag, sorry.

Regarding that example, it is a task to be fixed once, and then added to https://www.mediawiki.org/wiki/Hackathons/Hackathon_tips_for_organizers so future Hackathon edition organizers are aware.
The organizers of a specific Hackathon are free to use a dedicated Hackathon edition Phabricator project to plan and organize any organizational (and actionable) tasks for the edition (like "Order lanyards in three different colors" for the 2017 Hackathon).

Aklapper closed this task as Declined.Oct 22 2016, 9:37 PM

Declining this task for the time being as per last comments, similar to T126954: Create team #Wikimania.

Please feel free to reopen this task once input has been provided which specific existing problems might get solved by such an additional team project, in contrast to existing Hackathon related Phabricator projects in the past. Thanks!